apiVersion: autoscaling/v1
kind: HorizontalPodAutoscaler
metadata:
  name: deepstack-scaler
  namespace: deepstack
spec:
  maxReplicas: 10
  minReplicas: 1
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: deepstack-deployment
  targetCPUUtilizationPercentage: 50
